## r-cran-survminer 0.4.8+dfsg

=== DESCRIPTION ===
Package: survminer
Type: Package
Title: Drawing Survival Curves using 'ggplot2'
Version: 0.4.8
Date: 2020-07-25
Authors@R: c(
    person("Alboukadel", "Kassambara", role = c("aut", "cre"), email = "alboukadel.kassambara@gmail.com"),
    person("Marcin", "Kosinski", role = c("aut"), email = "m.p.kosinski@@gmail.com"),
    person("Przemyslaw", "Biecek", role = c("aut"), email = "przemyslaw.biecek@gmail.com"),
    person("Scheipl", "Fabian", role = c("ctb"), email = "fabian.scheipl@gmail.com"))
Description: Contains the function 'ggsurvplot()' for drawing easily beautiful
    and 'ready-to-publish' survival curves with the 'number at risk' table
    and 'censoring count plot'. Other functions are also available to plot 
    adjusted curves for `Cox` model and to visually examine 'Cox' model assumptions.
License: GPL-2
LazyData: TRUE
Encoding: UTF-8
Depends: ggplot2, ggpubr(>= 0.1.6)
Imports: grid, gridExtra (>= 2.0), magrittr, maxstat, methods, scales,
        survival, stats, broom, dplyr, tidyr, survMisc, purrr, tibble,
        rlang
Suggests: knitr, flexsurv, cmprsk, markdown
VignetteBuilder: knitr
URL: http://www.sthda.com/english/rpkgs/survminer/
BugReports: https://github.com/kassambara/survminer/issues
RoxygenNote: 7.1.0
Collate: 'BMT.R' 'BRCAOV.survInfo.R' 'add_ggsurvplot.R' 'utilities.R'
        'surv_summary.R' 'ggsurvtable.R' 'surv_pvalue.R'
        'ggsurvplot_df.R' 'ggsurvplot_core.R' 'ggsurvplot_add_all.R'
        'ggsurvplot_list.R' 'ggsurvplot_group_by.R' 'ggsurvplot.R'
        'arrange_ggsurvplots.R' 'ggadjustedcurves.R'
        'ggcompetingrisks.R' 'ggcoxdiagnostics.R' 'ggcoxfunctional.R'
        'ggcoxzph.R' 'ggflexsurvplot.R' 'ggforest.R' 'ggsurvevents.R'
        'ggsurvplot_combine.R' 'ggsurvplot_facet.R' 'ggsurvtheme.R'
        'ggurvplot_arguments.R' 'myeloma.R' 'pairwise_survdiff.R'
        'surv_cutpoint.R' 'surv_group_by.R' 'surv_fit.R'
        'surv_median.R'
NeedsCompilation: no
Packaged: 2020-07-25 13:21:44 UTC; kassambara
Author: Alboukadel Kassambara [aut, cre],
  Marcin Kosinski [aut],
  Przemyslaw Biecek [aut],
  Scheipl Fabian [ctb]
Maintainer: Alboukadel Kassambara <alboukadel.kassambara@gmail.com>
Repository: CRAN
Date/Publication: 2020-07-25 21:30:03 UTC

## r-cran-survminer 0.4.7+dfsg

=== debian/changelog ===
r-cran-survminer (0.4.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 05 Jun 2020 09:46:09 +0200

r-cran-survminer (0.4.6+dfsg-3) unstable; urgency=medium

  * Source upload in R 4.0 transition

 -- Andreas Tille <tille@debian.org>  Thu, 21 May 2020 05:48:00 +0200

r-cran-survminer (0.4.6+dfsg-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 10 Apr 2020 08:08:05 +0200

r-cran-survminer (0.4.6+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #956243)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Apr 2020 15:00:25 +0200

=== debian/control ===
Source: r-cran-survminer
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-ggplot2,
               r-cran-ggpubr,
               r-cran-gridextra,
               r-cran-magrittr,
               r-cran-maxstat,
               r-cran-scales,
               r-cran-survival,
               r-cran-broom,
               r-cran-dplyr,
               r-cran-tidyr,
               r-cran-survmisc,
               r-cran-purrr,
               r-cran-tibble,
               r-cran-rlang
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-survminer
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-survminer.git
Homepage: https://cran.r-project.org/package=survminer
Rules-Requires-Root: no

Package: r-cran-survminer
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R drawing survival curves using 'ggplot2'
 Contains the function 'ggsurvplot()' for drawing easily beautiful and
 'ready-to-publish' survival curves with the 'number at risk' table and
 'censoring count plot'. Other functions are also available to plot
 adjusted curves for `Cox` model and to visually examine 'Cox' model
 assumptions.

## r-cran-survminer 0.4.8+dfsg

=== debian/changelog ===
r-cran-survminer (0.4.8+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 08 Sep 2020 11:06:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-ggplot2,

## r-cran-survminer 0.4.9+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: survminer
 Type: Package
 Title: Drawing Survival Curves using 'ggplot2'
-Version: 0.4.8
-Date: 2020-07-25
+Version: 0.4.9
+Date: 2021-03-09
 Authors@R: c(
     person("Alboukadel", "Kassambara", role = c("aut", "cre"), email = "alboukadel.kassambara@gmail.com"),
     person("Marcin", "Kosinski", role = c("aut"), email = "m.p.kosinski@@gmail.com"),
@@ -18,12 +18,12 @@
 Depends: ggplot2, ggpubr(>= 0.1.6)
 Imports: grid, gridExtra (>= 2.0), magrittr, maxstat, methods, scales,
         survival, stats, broom, dplyr, tidyr, survMisc, purrr, tibble,
-        rlang
-Suggests: knitr, flexsurv, cmprsk, markdown
+        rlang, ggtext (>= 0.1.0)
+Suggests: knitr, flexsurv, cmprsk, markdown, testthat, rmarkdown
 VignetteBuilder: knitr
-URL: http://www.sthda.com/english/rpkgs/survminer/
+URL: https://rpkgs.datanovia.com/survminer/index.html
 BugReports: https://github.com/kassambara/survminer/issues
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.1
 Collate: 'BMT.R' 'BRCAOV.survInfo.R' 'add_ggsurvplot.R' 'utilities.R'
         'surv_summary.R' 'ggsurvtable.R' 'surv_pvalue.R'
         'ggsurvplot_df.R' 'ggsurvplot_core.R' 'ggsurvplot_add_all.R'
@@ -36,11 +36,11 @@
         'surv_cutpoint.R' 'surv_group_by.R' 'surv_fit.R'
         'surv_median.R'
 NeedsCompilation: no
-Packaged: 2020-07-25 13:21:44 UTC; kassambara
+Packaged: 2021-03-09 08:37:37 UTC; kassambara
 Author: Alboukadel Kassambara [aut, cre],
   Marcin Kosinski [aut],
   Przemyslaw Biecek [aut],
   Scheipl Fabian [ctb]
 Maintainer: Alboukadel Kassambara <alboukadel.kassambara@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-07-25 21:30:03 UTC
+Date/Publication: 2021-03-09 09:50:03 UTC

=== debian/changelog ===
r-cran-survminer (0.4.9+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Build-Depends: r-cran-ggtext

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 14:11:16 +0200

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,9 @@
                r-cran-survmisc,
                r-cran-purrr,
                r-cran-tibble,
-               r-cran-rlang
-Standards-Version: 4.5.0
+               r-cran-rlang,
+               r-cran-ggtext
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-survminer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-survminer.git
 Homepage: https://cran.r-project.org/package=survminer

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/survminer_([-\d.]*)\.tar\.gz

## r-cran-survminer 0.5.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: survminer
 Type: Package
 Title: Drawing Survival Curves using 'ggplot2'
-Version: 0.4.9
-Date: 2021-03-09
+Version: 0.5.0
+Date: 2024-10-30
 Authors@R: c(
     person("Alboukadel", "Kassambara", role = c("aut", "cre"), email = "alboukadel.kassambara@gmail.com"),
-    person("Marcin", "Kosinski", role = c("aut"), email = "m.p.kosinski@@gmail.com"),
+    person("Marcin", "Kosinski", role = c("aut"), email = "m.p.kosinski@gmail.com"),
     person("Przemyslaw", "Biecek", role = c("aut"), email = "przemyslaw.biecek@gmail.com"),
     person("Scheipl", "Fabian", role = c("ctb"), email = "fabian.scheipl@gmail.com"))
 Description: Contains the function 'ggsurvplot()' for drawing easily beautiful
@@ -15,7 +15,7 @@
 License: GPL-2
 LazyData: TRUE
 Encoding: UTF-8
-Depends: ggplot2, ggpubr(>= 0.1.6)
+Depends: ggplot2(>= 3.4.0), ggpubr(>= 0.1.6)
 Imports: grid, gridExtra (>= 2.0), magrittr, maxstat, methods, scales,
         survival, stats, broom, dplyr, tidyr, survMisc, purrr, tibble,
         rlang, ggtext (>= 0.1.0)
@@ -23,7 +23,7 @@
 VignetteBuilder: knitr
 URL: https://rpkgs.datanovia.com/survminer/index.html
 BugReports: https://github.com/kassambara/survminer/issues
-RoxygenNote: 7.1.1
+RoxygenNote: 7.3.2
 Collate: 'BMT.R' 'BRCAOV.survInfo.R' 'add_ggsurvplot.R' 'utilities.R'
         'surv_summary.R' 'ggsurvtable.R' 'surv_pvalue.R'
         'ggsurvplot_df.R' 'ggsurvplot_core.R' 'ggsurvplot_add_all.R'
@@ -36,11 +36,11 @@
         'surv_cutpoint.R' 'surv_group_by.R' 'surv_fit.R'
         'surv_median.R'
 NeedsCompilation: no
-Packaged: 2021-03-09 08:37:37 UTC; kassambara
+Packaged: 2024-10-30 11:17:06 UTC; root
 Author: Alboukadel Kassambara [aut, cre],
   Marcin Kosinski [aut],
   Przemyslaw Biecek [aut],
   Scheipl Fabian [ctb]
 Maintainer: Alboukadel Kassambara <alboukadel.kassambara@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-03-09 09:50:03 UTC
+Date/Publication: 2024-10-30 11:50:02 UTC

=== debian/changelog ===
r-cran-survminer (0.5.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Run tests from the correct directory.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 23 Apr 2025 15:08:18 +0100

r-cran-survminer (0.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * dh-make-R --tests generic && dh-update-R to add tests

 -- Charles Plessy <plessy@debian.org>  Fri, 07 Mar 2025 10:18:48 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2,
+               r-cran-ggplot2 (>= 3.4.0),
                r-cran-ggpubr,
                r-cran-gridextra,
                r-cran-magrittr,
@@ -22,7 +22,7 @@
                r-cran-tibble,
                r-cran-rlang,
                r-cran-ggtext
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-survminer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-survminer.git
 Homepage: https://cran.r-project.org/package=survminer
@@ -34,9 +34,8 @@
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
-Description: GNU R drawing survival curves using 'ggplot2'
+Description: Drawing Survival Curves using 'ggplot2'
  Contains the function 'ggsurvplot()' for drawing easily beautiful and
  'ready-to-publish' survival curves with the 'number at risk' table and
- 'censoring count plot'. Other functions are also available to plot
- adjusted curves for `Cox` model and to visually examine 'Cox' model
- assumptions.
+ 'censoring count plot'. Other functions are also available to plot adjusted
+ curves for `Cox` model and to visually examine 'Cox' model assumptions.

=== debian/tests/control ===
Tests: generic
Depends: @,
         r-cran-knitr,
        r-cran-cmprsk,
        r-cran-markdown,
        r-cran-testthat,
        r-cran-rmarkdown
Restrictions: allow-stderr

## r-cran-survminer 0.5.1+dfsg

=== debian/changelog ===
r-cran-survminer (0.5.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 11 Feb 2026 17:36:07 +0900

=== debian/control ===
Source: r-cran-survminer
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-ggplot2,
 r-cran-ggpubr,
 r-cran-gridextra,
 r-cran-magrittr,
 r-cran-maxstat,
 r-cran-scales,
 r-cran-survival,
 r-cran-broom,
 r-cran-dplyr,
 r-cran-tidyr,
 r-cran-survmisc,
 r-cran-purrr,
 r-cran-tibble,
 r-cran-rlang,
 r-cran-ggtext,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-survminer
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-survminer.git
Homepage: https://cran.r-project.org/package=survminer
Rules-Requires-Root: no

Package: r-cran-survminer
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Drawing Survival Curves using 'ggplot2'
 Contains the function 'ggsurvplot()' for drawing easily beautiful and
 'ready-to-publish' survival curves with the 'number at risk' table and
 'censoring count plot'. Other functions are also available to plot adjusted
 curves for `Cox` model and to visually examine 'Cox' model assumptions.

=== debian/tests/control ===
Tests: generic
Restrictions: allow-stderr
Depends:
 @,
 r-cran-knitr,
 r-cran-cmprsk,
 r-cran-markdown,
 r-cran-testthat,
 r-cran-rmarkdown,
